System Requirements

The following requirements are intended as a guide only and other configurations may also work. In case of doubt please download and test the free evaluation with your system.

CatDV Pro 12 and CatDV Pegasus 12 (64-bit)

For the 64-bit CatDV 11/12 and Pegasus 11/12 client application you need:

Either

  • Apple Macintosh running Mac OS X 10.8.5 or later (including OSX 10.11 El Capitan and 10.12 Sierra)
  • Java is included within the application, and QuickTime is provided as a standard part of Mac OS X, so you do not need to install either of these separately
  • Minimum 8GB RAM recommended

or

  • Windows PC running Windows Vista, Windows 7, or Windows 8, Windows Server 2012, Windows 10
  • Java (64-bit) is included with the application
  • QuickTime 7.7.5, available from Apple, is recommended but not required
  • Minimum 8GB RAM recommended

CatDV Worker Node 6 (64 bit)

For the 64-bit Worker 6/7 application you need:

Either

  • Apple Macintosh running Mac OS X 10.7.3 or later (including OS X 10.10 Yosemite and OSX 10.11 El Capitan)
  • Java is included within the application, and QuickTime is provided as a standard part of Mac OS X, so you do not need to install either of these separately
  • Minimum 8GB RAM recommended

or

  • Windows PC running Windows Vista, Windows 7, or Windows 8, Windows Server 2012, Windows 10
  • Java (64-bit) is included with the application
  • QuickTime 7.7.5, available from Apple, is recommended but not required
  • Minimum 8GB RAM recommended

or

Worker 7 on Linux

  • Linux PC running Centos / Redhat
  • Java (64-bit) is included with the application
  • Minimum 8GB RAM recommended

CatDV 10 and CatDV Worker Node 5 (32-bit)

For the CatDV 10 and Pegasus 10 client application, CatDV Worker Node 5, and the 32-bit legacy version of CatDV 11, you need the following:

  • Intel Macintosh running Mac OS X 10.6, 10.7, 10.8 or 10.9, or Windows PC running Windows XP, Vista, Windows 7, Windows 10
  • 2048 MB of memory or more (for large catalogs with many thumbnails more memory may be needed)
  • QuickTime 7.7 (including QuickTime for Java)
  • Java 1.6 or 1.7 (32-bit)
  • NOTE: Worker 5 is not supported in OSX 10.10 Yosemite or later – Worker 6 is required

Under Mac OS X all the required software is available as part of the standard operating system installation, though you may be prompted to download Java the first time you try to launch CatDV. You can use Software Update to automatically check that all your system software is up to date. Note that CatDV 10 is not compatible with OS X 10.10 and you will need to upgrade to CatDV 11 if you use Yosemite.

For Windows you need to install QuickTime and Java. QuickTime is available as a free download from Apple. Java is available as a free download from Oracle.

CatDV Workgroup or Enterprise Server

The CatDV Server software is compatible with most common server machine configurations. A typical installation will require:

  • Linux Centos / Redhat , Mac OS X, Unix, or Windows operating systems (including Vista, Windows 7, Windows 8, Windows 10, Windows Server 2008/2012/2016)
  • 8GB memory (16GB or more recommended)
  • Java J2SE (or J2EE) 1.7 or later
  • Fast SSD disk is recommended

For requirements specific to Server 6 find out more here.

For requirements specific to Server 7 find out more here.

The CatDV Server can work with a number common SQL database products. By default for demonstration  it uses the built-in open source H2 database but optionally MySQL 5.6  or later (Standard or Community Edition), Oracle 10g, or Microsoft SQL Server may be used instead (the latter two on Windows only).

We can provide demo licenses to allow you to perform test installations on your hardware and fully evaluate the software prior to making a purchase.

The Advanced Premiere Panel

The Advanced Premiere Panel needs Premiere CC or above, and does not work on Premiere CS6 or below.

Typical CatDV Hardware configuration

here is no such thing as a typical CatDV system: CatDV operates well for individuals, small workgroups up to the world’s largest organisations managing many millions of assets. Nonetheless we are often ask what a typical hardware set up might look like for a CatDV system. 

Small systems can operate well using 2 x top specification mac minis: with SSD and as much RAM and processor as can be afforded / specified. One mac mini would run the CatDV server, and one the Worker. 

For a mid-sized CatDV system, offering more resilience and power, the following specifications are a good starting point.

CatDV Server including CatDV Web Server

2 x 4 core, Intel Xeon processors 

32 – 64 GB RAM 

2 x 512 GB or larger SSD hard drives, mirrored for redundancy (or using RAID 5 / 6)

10 GbE network

CatDV Worker Node

CatDV Workers can perform many functions, so hardware specifications vary widely between deployments.

For heavy duty ingest, transcode, and / or proxy creation, with up to 8 CatDV Worker Nodes, the configuration above (for the ‘typical’ Server) is suitable.

Or, where cost is more of an issue a Worker could be specified:

Latest intel i7 processor

16 – 64 GB RAM

256 GB or larger SSD hard drive

1 – 10 GbE depending on the rate of ingest, transcoding and media distribution

Our network of experience partners, integrators and resellers can provide more specific information for a CatDV deployment.

Akomi Server Minimum System Requirement

Operating System:

* Note: Virtualbox installation must support 64-bit guest OSes

Hardware Requirements:

  • 2GHz i5 processor (or equivalent) or better.
  • NSA recommends an i7 processor (or equivalent) if the server will be hosting several VMs
  • 8GB RAM
  • SSD boot drive
  • 40GB free space available for vm image

Media Storage:

  • Akomi supports single drive or raid storage solutions
  • Approx. 1GB per hour of media @ proxy resolution

The following are examples of minimum VM host hardware:

  • Apple Mac Mini with direct attached Thunderbolt SATA drive for media, same size or larger, direct attached USB 3.0 drive for media backup
  • Windows Workstation or Server with internal SATA drive for media, same size or larger, USB 3.0 drive for media backup
  • Linux Server with internal SATA drive for media, with a USB 3.0 drive of the same size or larger, for media backup
  • Note that these are minimum configurations. You may scale hardware to match your needs and Akomi can run on enterprise server hardware or a variety of cloud platforms as well. Your reseller/system integrator can assist with matching a hardware solution to your needs and can offer you several levels of hardware solutions.

QLSD Plugin CatDV Version Compatibility Matrix

Archive Software CatDV Server Version Worker Version Comments
Quantam (Stornext 4.2.1 and above) 6.10.2 and above 5 or above QLS installer target Worker 5, Worker 6 Require some manual configuration
Mac Platform Yes Yes
PC Paltform Yes No
ADA-Atempo (3.2.99 and above) 6.6 and above 4 and above QLS installer target Worker 5, Worker 6 Require some manual configuration es
Mac Platform Yes Yes
PC Paltform Yes Yes
Xendata (XenData SX-10+ or XenData Workflow API) 6.9.4 and above 5.1.5 or 6.1.5 and above QLS installer target Worker 5, Worker 6 Require some manual configuration
Mac Platform Yes Yes
PC Platform Yes Yes
Archiware (5.1.2-5.1.9, 5.3 and above) 6.10 and above 6.1.5 and above QLS installer target Worker 5, Worker 6 Require some manual configuration
Mac Platform Yes Yes
PC Platform Yes Yes
GB Labs Space (3.4 and above) 6.10.2 and above 5.0 and above QLS installer target Worker 5, Worker 6 Require some manual configuration
Mac Platform Yes Yes
PC Platform Yes Yes